IOSS 2.0

Classes | Namespaces | Functions | Variables
cth_pressure_map.C File Reference
`#include <Ionit_Initializer.h>`
`#include <Ioss_CodeTypes.h>`
`#include <Ioss_Utils.h>`
`#include <algorithm>`
`#include <cassert>`
`#include <cstddef>`
`#include <cstdlib>`
`#include <cstring>`
`#include <fstream>`
`#include <iomanip>`
`#include <iostream>`
`#include <map>`
`#include <stdexcept>`
`#include <string>`
`#include <utility>`
`#include <vector>`
`#include "Ioss_CommSet.h"`
`#include "Ioss_DBUsage.h"`
`#include "Ioss_DatabaseIO.h"`
`#include "Ioss_ElementBlock.h"`
`#include "Ioss_ElementTopology.h"`
`#include "Ioss_Field.h"`
`#include "Ioss_GroupingEntity.h"`
`#include "Ioss_IOFactory.h"`
`#include "Ioss_NodeBlock.h"`
`#include "Ioss_NodeSet.h"`
`#include "Ioss_Property.h"`
`#include "Ioss_Region.h"`
`#include "Ioss_ScopeGuard.h"`
`#include "Ioss_SideBlock.h"`
`#include "Ioss_SideSet.h"`
`#include "Ioss_State.h"`
`#include "Ioss_VariableType.h"`
`#include "vector3d.h"`
Include dependency graph for cth_pressure_map.C:

## Classes
struct | anonymous_namespace{cth_pressure_map.C}::Globals

## Namespaces
| anonymous_namespace{cth_pressure_map.C}

## Functions
void | anonymous_namespace{cth_pressure_map.C}::show_usage (const std::string &prog, bool add_sset)
void | anonymous_namespace{cth_pressure_map.C}::show_step (int istep, double time)
void | anonymous_namespace{cth_pressure_map.C}::transfer_nodeblock (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | anonymous_namespace{cth_pressure_map.C}::transfer_elementblock (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | anonymous_namespace{cth_pressure_map.C}::transfer_nodesets (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | anonymous_namespace{cth_pressure_map.C}::transfer_sidesets (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | anonymous_namespace{cth_pressure_map.C}::transfer_commsets (Ioss::Region &region, Ioss::Region &output_region, bool debug)
void | anonymous_namespace{cth_pressure_map.C}::add_sideset (Ioss::Region &ss_region, Ioss::Region &region, Ioss::Region &output_region, Globals &globals)
void | anonymous_namespace{cth_pressure_map.C}::add_sideset_mesh_fields (Ioss::Region &ss_region, Ioss::Region &region, Ioss::Region &output_region, Globals &globals)
void | anonymous_namespace{cth_pressure_map.C}::add_sideset_transient_fields (Ioss::Region &ss_region, Ioss::Region &region, Ioss::Region &output_region, Globals &globals)
void | anonymous_namespace{cth_pressure_map.C}::transfer_sideset_field_data (Ioss::Region &ss_region, Ioss::Region &region, Ioss::Region &output_region, Globals &globals)
void | anonymous_namespace{cth_pressure_map.C}::transfer_fields (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge, Ioss::Field::RoleType role, const std::string &prefix="")
void | anonymous_namespace{cth_pressure_map.C}::transfer_field_data (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge, Ioss::Field::RoleType role, const std::string &prefix="", bool transfer_connectivity=true)
void | anonymous_namespace{cth_pressure_map.C}::transfer_properties (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge)
void | anonymous_namespace{cth_pressure_map.C}::output_normals (Ioss::Region &region, Ioss::Region &output_region, bool reverse_normals)
void | anonymous_namespace{cth_pressure_map.C}::calculate_normals (std::vector< double > &node_normal, std::vector< double > &face_normal, int num_elem, int num_node_per_elem, std::vector< double > &coord, std::vector< int > &conn, bool reverse_normals)
void | anonymous_namespace{cth_pressure_map.C}::transfer_field_data_internal (Ioss::GroupingEntity *ige, Ioss::GroupingEntity *oge, const std::string &field_name)
void | anonymous_namespace{cth_pressure_map.C}::file_copy (const std::string &inpfile, const std::string &input_type, const std::string &outfile, const std::string &output_type, const std::string &ss_file, Globals &globals)
int | main (int argc, char *argv[])

## Variables
std::vector< char > | anonymous_namespace{cth_pressure_map.C}::data
std::string | anonymous_namespace{cth_pressure_map.C}::codename
std::string | anonymous_namespace{cth_pressure_map.C}::version = "$Revision$"

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |